Package org.h2.value

# Class CaseInsensitiveMap<V>

java.lang.Object
java.util.AbstractMap<String,V>
java.util.HashMap<String,V>
org.h2.value.CaseInsensitiveMap<V>

Type Parameters:
  `V` - the value type

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,V>`

public class CaseInsensitiveMap<V> extends HashMap<String,V>
A hash map with a case-insensitive string key.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`CaseInsensitiveMap()`
Creates new instance of case-insensitive map.
`CaseInsensitiveMap(int initialCapacity)`
Creates new instance of case-insensitive map with specified initial capacity.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKey(Object key)`
`V`
`get(Object key)`
`V`
`put(String key, V value)`
`V`
`putIfAbsent(String key, V value)`
`V`
`remove(Object key)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, newHashMap, putAll, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### CaseInsensitiveMap

public CaseInsensitiveMap()
Creates new instance of case-insensitive map.

### CaseInsensitiveMap

public CaseInsensitiveMap(int initialCapacity)
Creates new instance of case-insensitive map with specified initial capacity.

Parameters:
  `initialCapacity` - the initial capacity

## Method Details

### get

public V get(Object key)

Specified by:
  `get` in interface `Map<String,V>`
Overrides:
  `get` in class `HashMap<String,V>`

### put

public V put(String key, V value)

Specified by:
  `put` in interface `Map<String,V>`
Overrides:
  `put` in class `HashMap<String,V>`

### putIfAbsent

public V putIfAbsent(String key, V value)

Specified by:
  `putIfAbsent` in interface `Map<String,V>`
Overrides:
  `putIfAbsent` in class `HashMap<String,V>`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<String,V>`
Overrides:
  `containsKey` in class `HashMap<String,V>`

### remove

public V remove(Object key)

Specified by:
  `remove` in interface `Map<String,V>`
Overrides:
  `remove` in class `HashMap<String,V>`